Skip to main content
POST
/instances/create
The example in the right sidebar is a schema only and will not work out of the box. Only ‘docker_configuration’ or ‘script_configuration’ can be specified but not both.
See the following tutorials related to instance creation:

Creating an Instance

Creating an Instance with a Running Container

Creating an Instance with a Startup Script

Authorizations

X-API-KEY
string
header
required

Body

application/json
cloud
string
required

Specifies the underlying cloud provider. See this explanation for more details.

Example:

"hyperstack"

region
string
required

Specifies the region.

Example:

"canada-1"

shade_instance_type
string
required

The Shadeform standardized instance type. See this explanation for more details.

Example:

"A6000"

shade_cloud
boolean
required

Specifies if the instance is launched in Shade Cloud or in a linked cloud account.

Example:

true

name
string
required

The name of the instance

Example:

"cool-gpu-server"

os
string

The operating system of the instance.

Example:

"ubuntu22.04_cuda12.2_shade_os"

template_id
string

The ID of the template to use for this instance

Example:

"template-123"

launch_configuration
object

Defines automatic actions after the instance becomes active.

volume_ids
string[]

List of volume IDs to be mounted. Currently only supports 1 volume at a time.

The ID of the storage volume.

ssh_key_id
string

The ID of the SSH Key.

Example:

"78a0dd5a-dbb1-4568-b55c-5e7e0a8b0c40"

auto_delete
object

Set a date or spend threshold to automatically delete the instance

alert
object

Set a date or spend threshold to receive an email alert

volume_mount
object

Settings for mounting volumes onto file systems

tags
string[]

Add custom, searchable tags to instances.

Tag for searching and grouping

envs
object[]

List of environment variable name and values to automatically add to the instance

Response

200 - application/json

Returns a CreateResponse object

Response of the /instances/create API call

id
string<uuid>
required

The unique identifier for the instance. Used in the instances for the /instances/{id}/info and /instances/{id}/delete APIs.

Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"